* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    text-decoration: none;
}

:root {
    --primary-color: #d2b89e;
    --secondary-color: #c4996c;
    --orange: #b45027;
    --lightcolor: #cb8978;
    --bg:#e6e0dc;
}
body{
    background-color: var(--bg);
}
/*navbar*/
.navitems {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 20px;
    background-color: var(--primary-color);
    height: 70px;
}

.logo img {
    height: 140px;
    width: auto;
    padding-left: 40px;
}

.search {
    position: relative;
    display: flex;
    align-items: center;
}

.search input {
    padding: 8px 10px 8px 30px;
    border: 1px solid var(--orange);
    border-radius: 4px;
    width: 700px;
    height: 50px;
    border-radius: 10px;
    outline: none;
}
.search input:focus {
    border-color: var(--orange); 
    box-shadow: 0 0 5px var(--orange); 
}
.search button {
    position: absolute;
    left: 10px;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.search i {
    font-size: 18px;
    color: #333;
}

.navitems-right {
    display: flex;
    align-items: center;
}

.navitems-right a {
    text-decoration: none;
    color: #333;
    margin: 0 15px;
    text-align: center;
}
.navitems-right :hover{
    color: var(--orange);
}
.navitems-right .nav-item i {
    font-size: 20px;
    display: block;
}

.navitems-right .nav-item span {
    font-size: 12px;
    display: block;
    margin-top: 5px;
}

/*hero*/
.herosection {
    position: relative;
    width: 100%;
    height: 660px;
    overflow: hidden;
}

.image-container {
    display: flex;
    transition: transform 1s ease-in-out;
}

.image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.dots {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
}

.dots .dot {
    height: 10px;
    width: 10px;
    margin: 0 5px;
    border-radius: 50%;
    background-color: rgba(255, 255, 255, 0.5);
    cursor: pointer;
}

.dots .dot.active {
    background-color: #fff;
}

/*shop*/
.shop {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 400px;
}

.category {
    text-align: center;
}

.circle {
    width: 250px;
    height: 250px;
    border-radius: 50%;
    background-color: #f1f1f1;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease, transform 0.3s ease;
    overflow: hidden;
    
}

.circle a img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.circle:hover {
    border: 2px solid var(--orange);
    box-shadow: 0 0 10px var(--orange); 
    transform: scale(1.1);
}

.category a {
    color: #333;
    font-weight: bold;
    font-size: 18px;
    display: block;
    margin-top: 15px;
}

.category a:hover {
    color: var(--orange); 
}
/*brands*/
.sponsored-brands {
    padding: 20px;
    text-align: left;
}

.sponsored-brands h2 {
    font-size: 36px;
    margin-bottom: 20px;
    font-weight: bold;
}

.brands {
    overflow: hidden;
    width: 100%;
    position: relative;
}

.brand-section {
    display: flex;
    transition: transform 0.5s ease;
}

.box {
    flex: 0 0 calc(100% / 4 - 10px);
    height: 400px;
    width: 300px;
    margin: 5px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    position: relative;
    overflow: hidden;
    text-decoration: none;
    color: inherit;
}

.box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
}

.box:hover img {
    transform: scale(1.1);
}

.brand-info {
    position: absolute;
    bottom: 0;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    color: #fff;
    text-align: center;
    padding: 10px;
}

.brand-dots-container {
    margin-top: 20px;
    text-align: center;
}

.carousel {
    display: inline-block;
    width: 10px;
    height: 10px;
    margin: 0 5px;
    background-color: #888;
    border-radius: 50%;
    cursor: pointer;
    
}
.carousel.active {
    background-color: #333;
}
/*minibox*/
.minicategorysec {
    background-color: var(--primary-color);
    padding: 20px;
}

.minibox {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--lightcolor);
    border-radius: 8px;
    padding: 15px;
    margin-bottom: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    height: 200px;
    width: auto;
}

.minibox-left h2 {
    margin: 0;
    font-size: 3.5rem;
    color: black;
}

.minibox-left p {
    margin: 0;
    font-size: 2rem;
    color: var(--primary-color);
}

.minibox-right img {
    width: 200px;
    height: 210px;
    border-radius: 8px;
}
.minibox-right-beauty img{
    width: 300px;
    height: 455px;
    border-radius: 8px;
}
.minicategory-items {
    display: flex;
    gap: 20px; 
    overflow-x: auto; 
    padding-bottom: 10px;
    scrollbar-width: thin; 
    scrollbar-color: lightgray transparent;
}

.minicategory-items::-webkit-scrollbar {
    height: 8px; 
}

.minicategory-items::-webkit-scrollbar-thumb {
    background: rgb(173, 17, 17);
    border-radius: 5px;
}

.minicategory-items::-webkit-scrollbar-track {
    background: transparent;
}

.minibox-item {
    flex: 0 0 auto; 
    width: 300px; 
    background-color: white;
    border-radius: 6px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 0; 
    gap: 10px;
    height: 300px; 
    position: relative; 
}

.minibox-item img {
    width: 100%;
    height: 100%; 
    border-radius: 4px;
    object-fit: cover; 
    display: block;
}

.minibox-item::after {
    content: ""; 
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.9), rgba(0, 0, 0, 0)); 
    border-radius: 4px; 
    z-index: 1; 
}
.minibox-item-text {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    padding: 0 10px;
    text-align: center;
    color: white;
    z-index: 2;
}

.minibox-item p {
    margin: 0;
    font-size: 1rem;
    color: #fff;
}

.minibox-item h6 {
    margin: 0;
    font-size: 1rem;
    color: #fff;
}

.miniboxlink {
    text-decoration: none;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}
/*offers*/
.offersec {
    padding: 20px;
    text-align: left;
}

.offersec h2 {
    font-size: 36px;
    margin-bottom: 20px;
    font-weight: bold;
}
.offers {
    overflow: hidden;
    width: 100%;
    position: relative;
}

.offers-section {
    display: flex;
    transition: transform 0.5s ease;
}
.offers-dots-container {
    margin-top: 20px;
    text-align: center;
}
/*recent*/
.recent-view-sec {
    padding: 20px;
}

.recent-view-heading {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 20px; 
}

.recentview {
    display: flex;
    overflow-x: auto; 
    gap: 20px;
    padding-bottom: 20px; 
    scrollbar-width: thin; 
    scrollbar-color: lightgray transparent;
}

.recentview::-webkit-scrollbar {
    height: 8px; 
}

.recentview::-webkit-scrollbar-thumb {
    background: rgb(173, 17, 17);
    border-radius: 5px;
}

.recentview::-webkit-scrollbar-track {
    background: transparent;
}
.productbox {
    position: relative;
    width: 250px;
    height: 300px;
    flex-shrink: 0; 
    overflow: hidden; 
}

.productbox img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease; 
}

.productbox:hover img {
    transform: scale(1.1); 
}

.productbox .heart-icon {
    position: absolute;
    top: 10px; 
    right: 10px; 
    font-size: 26px;
    cursor: pointer;
    z-index: 2; 
    transition: color 0.3s ease, border 0.3s ease;
}

.initial-heart {
    font-size: 8px;  
    color: #000;      
    font-weight: 100; 
}

.productbox::after {
    content: ""; 
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0)); 
    border-radius: 4px; 
    z-index: 0; 
}

.producttext {
    position: absolute;
    bottom: 0px;
    left: 10px;
    color: white;
    padding: 10px;
    width: 100%;
    z-index: 1; 
    font-weight: bold;
}

.item-title {
    margin-bottom: 5px;
    font-size: 15px;
}

.item-price {
    margin-bottom: 5px;
    font-size: 14px;
}

.item-description {
    font-size: 12px;
    color: #dbd1d1;
    margin-bottom: 3px;
}

.productlink {
    text-decoration: none;
}
/*subscribe*/
.subscribe-letter {
    text-align: center;
}

.subs-content {
    padding: 20px;
}

.subs-content h2 {
    font-size: 2.5rem;
    color: var(--secondary-color);
    margin-bottom: 20px;
}

.subs-content form {
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0px;
}

.email-input {
    padding: 10px;
    font-size: 1rem;
    border: 1px solid var(--secondary-color);
    border-radius: 5px 0px 0px 5px;
    width: 250px;
    outline: none; 
}

.email-input:focus {
    border-color: var(--orange); 
    box-shadow: 0 0 5px var(--orange); 
}

.subscribe-btn {
    padding: 10px 20px;
    font-size: 1rem;
    color: #fff;
    background-color: var(--orange);
    border: 1px solid var(--secondary-color);
    border-radius: 0px 5px 5px 0px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.subscribe-btn:hover {
    background-color: var(--lightcolor);
}

.subs-content p {
    font-size: 0.9rem;
    color: #555;
}

.privacy-link {
    color: var(--orange);
    text-decoration: none;
}

.privacy-link:hover {
    text-decoration: underline;
}

/* Footer Section */
.footersec {
    background-color: var(--primary-color);
    color: #fff;
    padding: 40px 0;
}

.footer {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 20px;
}
.f1 h4, .f2 h4 , .f3 h4 , .f4 h4{
    color: var(--orange);
    font-weight: bold;
}
.f1, .f2, .f3, .f4 {
    width: 23%; 
    min-width: 250px;
}

.f1 h4, .f2 h4, .f3 h4, .f4 h4 {
    font-size: 1.2rem;
    margin-bottom: 15px;
}

.f1 {
    display: flex;
    flex-direction: column;
    align-items: center; 
    text-align: center;
}

.f1 img {
    max-width: 105px; 
    height: auto;
}

.f1 .footericons {
    display: flex;
    gap: 15px;
    justify-content: center; /* Align icons in a row */
}

.f1 .footericons i {
    font-size: 1.5rem;
    color: #fff;
    cursor: pointer;
    transition: color 0.3s ease;
}

.f1 .footericons i:hover {
    color: var(--orange); 
}

.f2 a, .f3 a, .f4 a {
    display: block;
    font-size: 1rem;
    color: #fff;
    text-decoration: none;
    margin: 5px 0;
}

.f2 a:hover, .f3 a:hover, .f4 a:hover {
    color:  var(--orange); 
}

.f4 a {
    margin-top: 10px;
}